#ifndef X10IO_H_
#define X10IO_H_

#include <iostream.h>
#include <stdio.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include "x10map.H"



struct x10cmdq {
	struct x10cmdq *next;
	char cmd[6];
	int pending;
	int tries;
	time_t lasttry;
};


class X10 {
public:
	CM11A(char *tty);
	~CM11A();
protected:
	int Send(void);
	int ProcessInput(char *data);
	int ProcessLineData(char * cmd);
	int ProcessError(char *cmd);
	int ProcessLocalData(char *cmd);
};

#endif

